
using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 附件
    /// </summary>
    [Description("附件")]
    public class T_SE_RENEWAL_TRAIN_FILE : MesEntityBase
    {
        [DataFieldForeignKey("Nav_Renewal", "Nav_Files")]
        [Description("班前会议ID")]
        public Guid RENEWALD_ID { get; set; }

        [DataFieldForeignKey("Nav_ImgFile")]
        [Description("图片文件ID")]
        public Guid IMG_FILE_ID { get; set; }

        [Description("导航：班前会议表")]
        public T_SE_RENEWAL_TRAIN Nav_Renewal{ get; set; }

        [Description("导航：图片文件表")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
